﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using log4net;
using log4net.Appender;
using log4net.Config;
using log4net.Core;
using log4net.Layout;
using log4net.Repository.Hierarchy;
using System.Configuration;
using Core.Log4net;
using System.Threading;
namespace Log4Net日志实践
{
    class Program
    {
        static void Main(string[] args)
        {
            //默认Logger
            Log4NetHelp.LoadConsoleAppender();
            Log4NetHelp.Info("默认信息");

            //功能1 Logger
            var log1 = Log4NetHelp.GetLogger("功能1");
            log1.Info("功能1 运行正常");

            //功能2 Logger
            var log2 = Log4NetHelp.GetLogger("功能2");
            log2.Info("功能2 运行正常");

            //多线程获取试试
            for (int i = 0; i < 1000; i++)
			{
                ThreadPool.QueueUserWorkItem(new WaitCallback(sender => {
                    var log3 = Log4NetHelp.GetLogger("功能3");
                    log3.Info(sender.ToString());
                }),i);
                Thread.Sleep(100);
			}
            Console.ReadLine();
        }
    }
}
